apiVersion: v1
kind: PersistentVolume
metadata:
  name: domo-files
  labels:
    namespace: domo
    volume: domo-files
spec:
  capacity:
    storage: 50M
  accessModes:
    - ReadWriteMany
  persistentVolumeReclaimPolicy: Retain
  hostPath:
    path: /raid1/domo
  nodeAffinity:
    required:
      nodeSelectorTerms:
        - matchExpressions:
            - key: hardware/disk
              operator: In
              values:
                - "true"
  claimRef:
    namespace: domo
    name: domo-files